Subject: [secdir] secdir review of draft-ietf-netext-logical-interface-support-12

From: "Scott G. Kelly" <[email-masked]>
Date: Tue, 2 Feb 2016 16:43:25 -0800 (PST)

I have reviewed this document as part of the security directorate's ongoing effort to review all IETF documents being processed by the IESG.  These comments were written primarily for the benefit of the security area directors.  Document editors and WG chairs should treat these comments just like any other last call comments.

From the abstract, this Informational document explains the operational details of [sic] Logical-interface construct and the specifics on how the link-layer implementations hide the physical interfaces from the IP stack and from the network nodes on the attached access networks.

The brief security considerations section says the implementation on the host is not visible to the network and does not require any special security considerations. One thing that occurred to me when I read this is that if someone is depending on link layer security (e.g. 802.11i) for any reason, then there may be security implications to switching the exit interface. Not sure if this is important - I'll leave it to the ADs to decide.